List Transactions
The “List Transactions” API allows to retrieve a paginated list of transactions. Customize your results by filtering transactions based on name, alt type, transaction status, payment mode, date range, type of source, contact, subscription id, entity id or paginate through the list using the provided query parameters. This endpoint provides a straightforward way to explore and retrieve transaction information.
GET
/
payments
/
transactions
List Transactions
curl --request GET \
--url https://services.leadconnectorhq.com/payments/transactions \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/payments/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/payments/transactions"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"_id": "61dd0feac077f72010f78804",
"altId": "3SwdhCu3svxI8AKsPJt6",
"altType": "location",
"status": "succeeded",
"entitySourceType": "funnel",
"createdAt": "2023-11-20T10:23:36.515Z",
"updatedAt": "2023-11-20T10:23:36.515Z",
"fulfilledAt": "2023-11-20T10:27:36.515Z",
"contactId": "XPLSw2SVagl12LMDeTmQ",
"mergedFromContactId": "XPLSw2SVagl12LMDeTmQ",
"contactName": "James Bond",
"contactEmail": "james.bond@hoopai.com",
"currency": "USD",
"amount": "100",
"liveMode": "false",
"entityType": "order",
"entityId": "61dd0fe9c077f73e67f78803",
"entitySourceSubType": "two_step_order_form",
"entitySourceName": "new funnel",
"entitySourceId": "BDBMEghdIUaqMPEsK349",
"entitySourceMeta": "{ domain: \"app.hoopai.com\", pageId: \"rBVhyYhMsbxbO8ZqOcei\", pageUrl: \"/v2/preview/rBVhyYhMsbxbO8ZqOcei\", stepId: \"5a772f62-3fbc-418b-af1b-be8929dd64c2\"}",
"subscriptionId": "sub_1KGcXDCScnf89tZoVkoEMCEL",
"chargeId": "in_1KGcXDCScnf89tZohCsmImwE",
"chargeSnapshot": "{ id: \"in_1KGcXDCScnf89tZohCsmImwE\", object: \"invoice\", account_country: \"US\", account_name: \"HoopAI-Testing\" }",
"paymentProviderType": "stripe",
"paymentProviderConnectedAccount": "612ca676b484b241fef9d962",
"ipAddress": "107.178.194.224",
"amountRefunded": "10",
"paymentMethod": "{ card: { \"brand\": \"discover\", \"last4\": \"0012\" } }",
"createdBy": "user123"
}
],
"totalCount": 123
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Query Parameters
Last modified on March 8, 2026
Was this page helpful?
List Transactions
curl --request GET \
--url https://services.leadconnectorhq.com/payments/transactions \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/payments/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/payments/transactions"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"_id": "61dd0feac077f72010f78804",
"altId": "3SwdhCu3svxI8AKsPJt6",
"altType": "location",
"status": "succeeded",
"entitySourceType": "funnel",
"createdAt": "2023-11-20T10:23:36.515Z",
"updatedAt": "2023-11-20T10:23:36.515Z",
"fulfilledAt": "2023-11-20T10:27:36.515Z",
"contactId": "XPLSw2SVagl12LMDeTmQ",
"mergedFromContactId": "XPLSw2SVagl12LMDeTmQ",
"contactName": "James Bond",
"contactEmail": "james.bond@hoopai.com",
"currency": "USD",
"amount": "100",
"liveMode": "false",
"entityType": "order",
"entityId": "61dd0fe9c077f73e67f78803",
"entitySourceSubType": "two_step_order_form",
"entitySourceName": "new funnel",
"entitySourceId": "BDBMEghdIUaqMPEsK349",
"entitySourceMeta": "{ domain: \"app.hoopai.com\", pageId: \"rBVhyYhMsbxbO8ZqOcei\", pageUrl: \"/v2/preview/rBVhyYhMsbxbO8ZqOcei\", stepId: \"5a772f62-3fbc-418b-af1b-be8929dd64c2\"}",
"subscriptionId": "sub_1KGcXDCScnf89tZoVkoEMCEL",
"chargeId": "in_1KGcXDCScnf89tZohCsmImwE",
"chargeSnapshot": "{ id: \"in_1KGcXDCScnf89tZohCsmImwE\", object: \"invoice\", account_country: \"US\", account_name: \"HoopAI-Testing\" }",
"paymentProviderType": "stripe",
"paymentProviderConnectedAccount": "612ca676b484b241fef9d962",
"ipAddress": "107.178.194.224",
"amountRefunded": "10",
"paymentMethod": "{ card: { \"brand\": \"discover\", \"last4\": \"0012\" } }",
"createdBy": "user123"
}
],
"totalCount": 123
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}